#include <klocale.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>

#include "kview_view.h"
#include "kview.h"

static KCmdLineOptions options[] =
{
  { "+[file(s)]", I18N_NOOP("File(s) or URL(s) to open"), 0 },
  { 0, 0, 0 }
};

int main( int argc, char *argv[] )
{
  KCmdLineArgs::init( argc, argv, KViewPart::createAboutData() );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KView kview;

  return kview.exec();
}
